#
# spec file for package python-glanceclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-glanceclient
Version:        2.9.1
Release:        lp152.4.3
Summary:        Python API and CLI for OpenStack Glance
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/python-glanceclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-glanceclient/python-glanceclient-2.9.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PrettyTable >= 0.7.1
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-keystoneclient >= 3.8.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-os-client-config >= 1.28.0
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-pyOpenSSL >= 16.2.0
BuildRequires:  python2-reno >= 2.5.0
BuildRequires:  python2-requests-mock >= 1.1.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python2-warlock >= 1.2.0
BuildRequires:  python3-PrettyTable >= 0.7.1
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-keystoneclient >= 3.8.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-os-client-config >= 1.28.0
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-pyOpenSSL >= 16.2.0
BuildRequires:  python3-reno >= 2.5.0
BuildRequires:  python3-requests-mock >= 1.1.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
BuildRequires:  python3-warlock >= 1.2.0
Requires:       python-PrettyTable >= 0.7.1
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pyOpenSSL >= 16.2.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.10.0
Requires:       python-warlock >= 1.2.0
Requires:       python-wrapt >= 1.7.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.

%package -n python-glanceclient-doc
Summary:        Documentation for OpenStack Glance API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-glanceclient-doc
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n python-glanceclient-2.9.1
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%python_build

# generate html docs
%{__python2} setup.py build_sphinx --builder=html,man
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%python_install
#man pages
install -p -D -m 644 doc/build/man/glance.1 %{buildroot}%{_mandir}/man1/glance.1
%python_clone -a %{buildroot}%{_bindir}/glance
%python_clone -a %{buildroot}%{_mandir}/man1/glance.1

%post
%{python_install_alternative glance glance.1}

%postun
%python_uninstall_alternative glance

%check
%if 0%{?rhel} || 0%{?fedora}
# disable tests until rdo updated to requests > 2.14
true
%else
%{python_expand rm -rf .testrepository
$python setup.py testr
}
%endif

%files %{python_files}
%license LICENSE
%doc README.rst ChangeLog
%python_alternative %{_bindir}/glance
%python_alternative %{_mandir}/man1/glance.1
%{python_sitelib}/glanceclient
%{python_sitelib}/*.egg-info

%files -n python-glanceclient-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 2.9.1 (bsc#1078607)
  - Updated from global requirements
  - Avoid tox_install.sh for constraints support
* Thu Jan 18 2018 cloud-devel@suse.de
- update to version 2.9.0
  - Update Image service property keys doc
  - Revise functional testing README file
  - Update reno for stable/pike
  - Remove Babel as a runtime requirement
  - image-create-via-import fails with ValueError
  - Restore functional testing under ssl
  - stage call fails with TypeError
  - Add domain info to functional test clients
  - Migrate dsvm functional test jobs to project repo
  - Compare against 'RequestIdProxy.wrapped'
  - Update Image service property keys docs
  - Updated from global requirements
  - Fix image-import call
* Fri Aug 25 2017 cloud-devel@suse.de
- update to version 2.8.0
  - help text for container_format, disk_format
  - Removed the --no-ssl-compression parameter which is deprecated
  - add explicit dependency on pyopenssl
  - Remove team:diverse-affiliation from tags
  - Validate input args before trying image download
  - Fix 'UnicodeEncodeError' for unicode values in url
  - Add image import features to client
  - Update glanceclient version ref
  - Make --profile load from environment variables
  - use openstackdocstheme html context
  - Replace six.iteritems() with .items()
  - Update and optimize documentation links
  - Add missing docstring
  - Replace assertTrue(isinstance()) with assertIsInstance()
  - move existing content into the new standard structure
  - Fix man page build
  - turn on warning-is-error in sphinx build
  - doc: Remove cruft from conf.py
  - Add release note for Pike
  - gitignore: Ignore auto-generated docs
  - update the doc URLs in the readme
  - Remove log translations
  - move old release notes into the releasenotes doc tree
  - Updated from global requirements
  - import content from cli-reference in openstack-manuals
  - Enable code coverage report in console output
  - switch to openstackdocstheme
  - Add documentation for image import commands
  - allow unhandled exceptions to cause test errors
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 2.7.0
  - Downloading image with --progress fails
  - Replace functions 'dict.get' and 'del' with 'dict.pop'
  - Remove references to Python 3.4
  - Replace dict.iteritems() with dict.items()
  - Downloading image with --progress fails for python3
  - v2: Content-Type: application/octet-stream header always added
  - Allow global_request_id in Client constructor
  - Update test requirement
  - Explicitly set 'builders' option
  - Convert IOError from requests
  - Update reno for stable/ocata
  - x-openstack-request-id logged twice in logs
  - Updated from global requirements
  - Use Sphinx 1.5 warning-is-error
* Fri Jun 23 2017 tbechtold@suse.com
- Explicit build html and man page docs
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 2.6.0:
  - Replace 'assertTrue(a not in b)' with 'assertNotIn(a, b)'
  - Update reno for stable/newton
  - Add ploop in disk_format
  - Add request id to returned objects
  - Improve tools/tox_install.sh
  - Add Apache 2.0 license to source file
  - Add vhdx in disk_format
  - Move old oslo-incubator code out of openstack/common
  - Add alt text for badges
  - Show team and repo badges on README
  - Use import_versioned_module from oslo.utils
  - Remove unused _i18n.py shim.
  - switch from keystoneclient to keystoneauth
  - standardize release note page ordering
  - Enable release notes translation
  - Handle formatting of subcommand name in error output
  - Use constraints everywhere
  - Add support for community images
  - Updated from global requirements
  - Revert "Add last_request_id member to HTTPClient and SessionClient"
* Wed Aug 31 2016 tbechtold@suse.com
  update to version 2.5.0
  * Don't update tags every time
  * Remove unused openstack/common/apiclient/client
  * Revert "Don't update tags every time"
  * Update doc URL
  * Fix warlock model creation
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
  update to version 2.3.0
  * Remove discover from test-requirements
  * Log request-id before exceptions raised
  * Properly build releasenotes
  * Fix string interpolation to delayed to be handled by the logging code
  * Add comment about workaround for py3
  * py3: Fix encoding and use sys.stdin.buffer
  * Replace OpenStack LLC with OpenStack Foundation
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to 2.2.0:
  * Update docs URL
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
  * image-download: tests to catch stray output
  * Use correct order of arguments to assertEqual
  * Update outdated image shema
  * Replace tempest_lib with tempest.lib
  * Log request-id for each api call
* Mon Aug  1 2016 tbechtold@suse.com
- update to 2.1.0:
  * Updated from global requirements
  * Remove deprecated construct method from session init
  * Add upper constraints to glanceclient
  * Fixed grammar in image-download command description
  * [Trivial] Remove unnecessary executable privilege
  * Fix "Codec can't encode characters"
  * Update the home-page with developer documentation
  * Get endpoint if os_image_url is not set
  * Corrected wrong parameter in docstring
  * Enable hacking checks
  * Fix typos in docstrings and comments
  * Re-enable stacktracing when --debug is used
  * Add last_request_id member to HTTPClient and SessionClient
  * Fix v2 so that you can see the default help info
  * Update auth_token before sending request
  * Fix missing of debug info after we use session
  * Ship the default metadata schema in the client
  * Docs are generated incorrectly
  * Fix location update
  * Catch InUseByStore case in do_image_delete
  * Update reno for stable/mitaka
- update _service and switch to upstream spec file
* Fri May  6 2016 dmueller@suse.com
- run tests
* Fri Mar 11 2016 dmueller@suse.com
- update to 2.0.0:
  * Handle 403 forbidden on download
  * Test: use assert_has_calls() instead
  * Updated from global requirements
  * Auto-generated squash commit
  * Add reno to glanceclient
  * Updated from global requirements
  * v2 - "readOnly" key should be used in schemas
  * Fix client initialization in shell tests
  * Remove code needed for python2.5
  * Fix warnings in glanceclient README
  * Updated from global requirements
  * Remove argparse from requirements
  * Change metavar for location commands in V2
  * Updated from global requirements
  * Updated from global requirements
  * Enhance description of instance-uuid option for image-create
  * Updated from global requirements
  * Remove monkey-patching for getsockopt
  * Fixed TestHTTPSVerifyCert failure messages
  * Remove location check from V2 client
  * Use session when not specified token or endpoint
  * Updated from global requirements
  * Skip schema validation on GET /v2/images/%%s
  * Trival: Remove 'MANIFEST.in'
  * Remove openstack-common.conf
  * Updated from global requirements
  * Drop py33 support
  * Change assertTrue(isinstance()) by optimal assert
  * Add help the ability to sort images with multiple keys
  * use keystoneclient exceptions instead of oslo-incubator code
  * Add docker to image_schema on glance v2 cli
  * remove python 2.6 trove classifier
  * Fix image-download to stdout on Python 3.x
  * Updated from global requirements
  * replace the deprecated keystoneclient...apiclient
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Updated from global requirements
  * Remove broken try/except workaround for old requests
  * Remove py26 support
  * Deprecated tox -downloadcache option removed
  * Updated from global requirements
  * Disable suggestion of v1 help for v2 commands
  * Remove pypy env from tox
  * Fix the download error when the image locations are blank
  * Updated from global requirements
  * Run py34 env first when launching tests
  * Updated from global requirements
  * Fix help for image-create
  * Fix tests for image-create
  * Fix Resource.__eq__ mismatch semantics of object equal
  * Update set of wanted commands in read-only test
  * Fix typo in 'help' in python-glanceclient
  * Add ordereddict requirement for py26 tests
  * Updated from global requirements
  * Ensure that identity token in header is not an unicode string
  * Change man page examples to correlate default v2
* Mon Feb 29 2016 dmueller@suse.com
- update to 1.2.0:
  * Release Notes for version 1.2.0
  * Add versions list function
  * Added reactivate/deactivate image using CLI
  * Fix the missing help descripiton of "image-create"
  * Add documentation for running the functional tests
  * Updated from global requirements
  * Remove unused sphinx Makefile
  * Update docs to recommend KSA instead of KSC
  * Use clouds.yaml from devstack for functional tests
  * Add translation to v2 shell
  * Import i18n functions directly
  * Updated from global requirements
  * improve readme contents
  * Add support for setting Accept-Language header
  * Updated from global requirements
  * Use the subcomand parsed args instead of the base
  * Stop trying to send image_size to the server
  * Support image deletion in batches in v2
  * print usage when no argument is specified for python3
  * Updated from global requirements
  * Updated from global requirements
  * Do not use openstack.common.i18n in glance client
  * Added unit tests for 'Unicode support shell client'
  * Use common identity parameters fro keystone client
  * No auth when token and endpoint are passed
  * Use dictionary literal for dictionary creation
  * Replace exception_to_str with oslo.utils function
  * Change ignore-errors to ignore_errors
  * Add period in help message
  * Don't get the image before deleting it
  * Fix human readable when size is None
* Wed Sep 16 2015 tbechtold@suse.com
- update to 1.1.0:
  * Change next version in docs
  * 1.0.1 Release notes
  * Fixes CLI client called without subcommands
  * Print the reverting back to v1 to stderr
  * Updates default --sort behaviour
  * Invalid output running the command 'glance image-show <image_id>'
  * Don't make `help` require auth parameters
  * check for None value in utils.safe_header
  * Updated from global requirements
  * Consider `--os-token` when using v2
  * Check if v2 is available and fallback
  * Update path to subunit2html in post_test_hook
  * Fix the remove property logic in V2
  * Password should be prompted once
- adjust Requires according to requirements.txt
* Mon Sep  7 2015 dmueller@suse.com
- update to 1.0.0:
  * 1.0.0 release notes
  * Remove custom SSL compression handling
  * Add more information show in v2
  * Require disk and container format on image-create
  * Ship the default image schema in the client
  * Use API v2 as default
  * V2: Do not validate image schema when listing
  * Updated from global requirements
  * Add unicode support for properties values in v2 shell
  * Fix failure to create glance https connection pool
  * Enable flake8 checks
  * Extend unittests coverage for v2 tasks module
  * Support for Metadata Definition Catalog for Tags
  * Fix exception message in Http.py
  * Fix an issue with broken test on ci
  * Remove usage of assert_called_once on Mock objects
  * Add .eggs/* to .gitignore
  * Account for dictionary order in test_shell.py
  * Do not fall back to namespaced oslo.i18n
  * Add v2 support for the marker attribute
  * Import only modules and update tox.ini
  * Close iterables at the end of iteration
  * Make glanceclient accept a session object
  * cleanup openstack-common.conf and sync updated files
  * Add release notes for 0.19.0
  * Include owner and status option in v2 image list
  * Fix Metadef Object update issue with python-glanceclient
  * Fix functional tests in gate
  * Do not crash on homedir mkdir
  * Improve import related error handling
  * Add parameter 'changes-since' for image-list of v1
  * Check image-download for redirection
  * Add some basic CLI functional tests
  * Use assertIn instead of assertTrue in tests
  * Unorder compare in tests
  * Add release notes for 0.18.0
  * Update README to work with release tools
  * Create functional test base
  * Move unit tests to standard directory
  * Add unit tests for log_curl_request
  * Fix https stack trace on python 3.4 client
  * Omit 'locations' as image-create parameter
  * Creating task with invalid property crashes in py3
  * Don't accept *args for client
  * Stub authentication requests rather than plugins
  * Remove keystoneclient mocks
  * Replace mox in tests with requests-mock
  * Expose 'is_base' schema property attribute
  * Validate tag name when filtering for images
  * Remove redundant FakeSchemaAPI __init__ method
  * glance image-show now have --human-readable option
  * Test unit for checking update active images
  * Correct help messages for image-update command
* Fri Apr 24 2015 tbechtold@suse.com
- Use %%{version} in source
* Thu Apr 23 2015 tbechtold@suse.com
- Switch to version 0.17.1
* Wed Apr 22 2015 tbechtold@suse.com
- Add missing Requires for python-oslo.i18n
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.18.0.post1:
  * Update README to work with release tools
  0.18.0
* Sun Apr 19 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post32:
  * Correct help messages for image-update command
* Sat Apr 18 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post30:
  * Uncap library requirements for liberty
* Thu Apr 16 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post29:
  * Fix https stack trace on python 3.4 client
  * Fix client when using no ssl compression
  * Omit 'locations' as image-create parameter
* Wed Apr 15 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post23:
  * Add unit tests for log_curl_request
* Tue Apr 14 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post21:
  * Add SSL cert verification regression tests
* Mon Apr 13 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post19:
  * Test unit for checking update active images
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post17:
  * Validate tag name when filtering for images
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post15:
  * glance image-show now have --human-readable option
* Tue Apr  7 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post13:
  * Creating task with invalid property crashes in py3
* Thu Apr  2 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post11:
  * Expose 'is_base' schema property attribute
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post9:
  * Don't accept *args for client
  * Stub authentication requests rather than plugins
  * Remove keystoneclient mocks
  * Replace mox in tests with requests-mock
* Mon Mar 30 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post5:
  * Remove redundant FakeSchemaAPI __init__ method
  * Use any instead of False in generator
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0.post2:
  * Generate API documentation
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.17.0:
  0.17.0
  * Add release notes for 0.17.0
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post31:
  * Updated help for v2 member-update api
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post29:
  * add examples for properties and doc build script
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post27:
  * Extend images CLI v2 with new sorting syntax
  * Add the ability to specify the sort dir for each key
  * Adds the ability to sort images with multiple keys
  * Apply expected patch format when updating tags in v2.images
* Mon Mar 16 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post19:
  * Import sys module
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post18:
  * Fix leaking sockets after v1 list operation
  * Fix minor typo in version error message
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.1.post14:
  * v2: read limit for list from --limit in shell
  * Fix leaking sockets after v2 list operation
  0.16.1
  * Add release notes for 0.16.1
  * removed excessive call to os.path.exists
  * Unit tests covering missing username or password
  * Remove duplicate 'a' in the help string of --os-image-url
  * v2: Allow upload from stdin on image-create
  * Fix v2 image create --file documentation
* Thu Mar  5 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.0.post16:
  * Fix tests failing if keystone is running locally
  * Unify using six.moves.range rename everywhere
  * Show error on trying to upload to non-queued image
  * https: Prevent leaking sockets for some operations
  * Remove graduated gettextutils from openstack/common
  * Workflow documentation is now in infra-manual
* Mon Mar  2 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.0.post4:
  * Strip json and html from error messages
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.16.0.post2:
  0.16.0
  * Register our own ConnectionPool without globals
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post46:
  * Add release notes for 0.16.0
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post45:
  * Fixed CLI help for bash-completion
  * Reduce the set of supported client SSL ciphers
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post41:
  * Glance image delete output
* Fri Feb 20 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post39:
  * Update HTTPS certificate handling for pep-0476
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post37:
  * Updated from global requirements
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post36:
  * Change oslo.utils to oslo_utils
  * Return 130 for keyboard interrupt
  * Close streamed requests explicitly
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post30:
  * Ignore NoneType when encoding headers
  * Use utils.exit rather than print+sys.exit
  * Adds basic examples of v2 API usage
  * Add validation to --property-filter in v1 shell
  * Disable progress bar if image is piped into client
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post20:
  * Remove uuidutils from openstack-common
  * Remove openstack.common.importutils
  * Remove openstack.common.strutils
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post15:
  * Add a `--limit` parameter to list operations
* Tue Jan 27 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post14:
  * Sync latest apiclient from oslo-inc
* Sat Jan 24 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post13:
  * Handle HTTP byte returns in python 3
  * Make non-boolean check strict
* Tue Jan 13 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post9:
  * Updated from global requirements
* Fri Jan  9 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post8:
  * Curl statements to include globoff for IPv6 URLs
* Mon Jan  5 2015 tbechtold@suse.com
- Update to version python-glanceclient-0.15.0.post6:
  * Fix Requests breaking download progress bar
- Add python-oslo.utils as Requires according to requirements.txt
* Mon Jan  5 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post5:
  * Add os_ prefix to project_domain_name/id
* Thu Jan  1 2015 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.post3:
  * Fix broken-pipe seen in glance-api
* Tue Dec 16 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0.2.g0cdc947:
  * Output clear error message on invalid api version
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.15.0:
  0.15.0
  * Add release notes for 0.15.0
  * Support Pagination for namespace list
  * Support schema types with non-str value
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.26.g9829d7b:
  * Don't require version to create Client instance
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.25.g521cc25:
  * Add release notes for 0.14.0 - 0.14.2
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.23.g6998179:
  * Send `identity_headers` through the wire
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.21.g6a6a5ef:
  * Allow --file in image-create with v2 Image API
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.19.gacb1659:
  * Add useful error on invalid --os-image-api-version
* Wed Nov 26 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.17.g3b6754a:
  * Adds tty password entry for glanceclient
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.15.g265bb4a:
  * Add --property-filter option to v2 image-list
  * Don't set X-Auth-Token key in http session header if no token provided
  * Refactor method of constructing dicts in some tests
  * '--public' ignored on image create
  * Add bash completion to glance client
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.5.gd0851c3:
  * Remove readonly options from v2 shell commands
  * Fix py34 failure for glance client
* Wed Nov 12 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.2.2.gb126351:
  0.14.2
  * Fix to ensure endpoint_type is used by _get_endpoint()
* Thu Nov  6 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.13.g695dbc9:
  * Don't replace the https handler in the poolmanager
* Fri Oct 31 2014 dmueller@suse.com
- add rpmlintrc as a source
* Thu Oct 16 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.11.gcfe0623:
  * Adds support for Glance Tasks calls
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.9.g1781c5d:
  * Stop using intersphinx
* Thu Oct  9 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.7.g498bdff:
  * Remove network_utils
* Thu Oct  9 2014 dmueller@suse.com
- fix requires
* Wed Oct  8 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.5.g64eb97a:
  * Default to system CA bundle if no CA certificate is provided
* Sat Oct  4 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.3.ga23a364:
  * Skip non-base properties in patch method
* Thu Sep 25 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1.1.g1511c86:
  * Fix the ordering of assertEqual arguments
* Sat Sep 20 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.1:
  0.14.1
  * CLI image-update gives a wrong help on '--tags' param
* Thu Sep 18 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.0.17.g8380807:
  * Update how tokens are redacted
  * Downgrade log message for http request failures
* Wed Sep 17 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.0.13.g9fa62e3:
  * Handle UnicodeDecodeError in log_http_response
  * Print traceback to stderr if --debug is set
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.0.10.g4a5903b:
  * Updated from global requirements
  * Fix v2 requests to non-bleeding edge servers
  * Work toward Python 3.4 support and testing
  * Import missing gettextutils._ in shell.py
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.14.0.2.gfde99a0:
  0.14.0
  * Support for Metadata Definitions Catalog API
  * Catch new urllib3 exception: ProtocolError
  * Fix indentation in tox.ini
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.26.g6dda6f3:
  * Fix error when logging http response with python 3
* Fri Aug 22 2014 tbechtold@suse.com
- Update to version python-glanceclient-0.13.1.25.g6987295:
  * Update theme for docs
- Add python-oslosphinx as BuildRequires
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.23.ge13ac92:
  * Ensure server's SSL cert is validated
  * Enable osprofiler interface in glanceclient shell
  * Add a tox job for generating docs
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.18.gc59ba20:
  * Hide stderr noise in test output
  * Normalize glanceclient requested service url
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.14.g1dfce53:
  * Remove deprecated commands from shell
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.13.g558ebf7:
  * Fix glance-client to work with IPv6 controllers
  * Add support for Keystone v3
* Mon Aug  4 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.10.gd833006:
  * Use immutable arg rather mutable arg
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.8.g68c1d1f:
  * Don't stream non-binary requests
* Wed Jul 16 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.7.gf75a810:
  * Use a correctly formatted example location in help
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.6.gdbb242b:
  * Replace old httpclient with requests
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.5.g1db17aa:
  * Enable F841
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.4.gd613adc:
  * Resolving the performance issue for image listing of v2 API
  * Add profiling support to glanceclinet
* Wed Jul  2 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.13.1.1.g1c46c76:
  * Add CONTRIBUTING.rst
  0.13.1
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.129.gcaa1a54:
  * Added release notes for 0.13.0
  * Add wheels section to the setup.cfg
  * Add missing classifiers
  * Add license to setup.cfg
  * Fix CA certificate handling
* Thu Jun 26 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.120.geca5fc2:
  * Add the six module dependency
* Wed Jun 25 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.119.ge62ed4d:
  * Prepend '/' to the delete url for the v2 client
  * Set purge-props header correctly in image update
  * Change assertTrue(isinstance()) by optimal assert
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.113.g938031a:
  * Updated from global requirements
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.112.ge6579f4:
  * Change a debug line to prevent UnicodeDecodeError issue
  * Reuse class Manager from common code
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.109.g3b694ca:
  * Add support for location parameters in v2 commands
  * progress flag not supported in v2 API
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.105.g04fb3c2:
  * Convert passed integer values into int in v1 shell
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.104.gdbefc1a:
  * Fix help text in image-create
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.102.gc4e3edc:
  * Python 3: use next(foo) instead of foo.next()
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.100.g08aaa46:
  * Remove auth token from http logging
* Thu May 29 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.98.g803eed6:
  * Finalize Python3 support
* Fri May 23 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.96.g8f89a14:
  * fixed typos found by RETF rules
* Wed May 21 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.94.ge9e9331:
  * Remove py3k module
  * Return request ID to callers
* Fri May  2 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.90.gb68d13b:
  * Updated from global requirements
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.89.gf2e0610:
  * Fix the parameter order of assertEqual in glanceclient v2 test
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.87.gae2b5d0:
  * Fix for invalid literal ValueError parsing ipv6 url(s)
  * Fix the parameter order of assertEqual in glanceclient test
* Fri Apr 18 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.83.ga70f9c5:
  * Adding network_utils module from oslo-incubator
  * Sync with oslo-incubator
* Tue Apr  8 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.79.g5528ba5:
  * Fix the parameter order of assertEqual in glanceclient v1 test
* Mon Mar 24 2014 dmueller@suse.com
- fix requires
* Mon Mar 17 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.78.g59c1103:
  * Improve help strings
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.76.g8ecc8ae:
  * Sync with Oslo
  * Python 3: do not use __builtin__
  * Updated from global requirements
  * Python3: do not use the 'file' type
* Wed Mar  5 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.69.ga9dee79:
  * Python 3: do not use the unicode() function
  * test_shell: remove a deprecated keyword argument
  * Replace file with open, which is Python 3 compatible
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.63.g46bf452:
  * Only show progress bar for local image files
* Wed Feb 26 2014 cloud-devel@suse.de
- Update to version python-glanceclient-0.12.0.61.g8b76817:
  * Python3: define a __next__() method for VerboseIteratorWrapper
  * Python 3: Fix JsonPatch-related issues
  * Pass bytes to tempfile.NamedTemporaryFile().write()
* Tue Feb 11 2014 speilicke@suse.com
- Update to version python-glanceclient-0.12.0.56.gb8a850c:
  * Remove tox locale overrides
  * Fix misspellings in python-glanceclient
  * Update my mailmap
  * Add support for image size in v2 api upload
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Sat Feb  1 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.51:
  + Using common method 'bool_from_string' from oslo strutils
* Fri Jan 24 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.49:
  + Replace file.write and os.path.exists by mock
  + It was removed urllib, urllib2 & urlparse modules
  + Allow updating empty created v2 images from v1
  + server 500 should not be a client error
  + Handle endpoints with versions consistently
* Sun Jan 19 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.39:
  + python3: Switch to mox3 instead of mox
* Thu Jan 16 2014 dmueller@suse.com
- fix requires
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.38:
  + Remove vim header
* Tue Jan 14 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.37:
  + Python 3: use six.iteritems and six.string_types
* Mon Jan 13 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.36:
  + Python 3: use six.iteritems() instead of iteritems()
* Sun Jan 12 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.34:
  + Sync apiclient and py3kcompat from oslo
  + Reuse Resource from oslo
  + Python 3: use six.iteritems() instead of iteritems()
  + Python3: use six.StringIO rather than StringIO.StringIO
  + Python3: use six.StringIO rather than StringIO.StringIO
* Fri Jan 10 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.24:
  + Fix glanceclient http.py string formatting error
* Thu Jan  9 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.22:
  + Get better format for long lines with PrettyTable
* Fri Jan  3 2014 opensuse-cloud@opensuse.org
- Update to version 0.12.0.21:
  + Remove unused imports
* Tue Dec 24 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.20:
  + Updates tox.ini to use new features
  + Fix and enable gating on H306
* Sat Dec 21 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.16:
  + Fix extra new line that break from progress bar
* Fri Dec 20 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.14:
  + Replace inheritance hierarchy with composition
* Thu Dec 19 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.12:
  + SSL: Handle wildcards in Subject Alternative Names (bnc#887137)
* Fri Dec 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.10:
  + Updated from global requirements
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.9:
  + Updates .gitignore
* Wed Dec  4 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.8:
  + Readd missing Babel dependency after merge from Oslo(master/bdda833)
* Wed Nov 27 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.6:
  + Make HACKING.rst DRYer
  + python3: xrange no longer exists
* Sat Nov 23 2013 opensuse-cloud@opensuse.org
- Update to version 0.12.0.2:
  + Sync from oslo-incubator
* Fri Nov 15 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.42:
  + Replace OpenStack LLC with OpenStack Foundation
  + change assertEquals to assertEqual
  + Fix Pep8 errors found by Pep8 1.4.6
  + Add release notes for 0.12.0
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.34:
  + Fix python 3.x related Hacking warnings
  + Added support for running the tests under PyPy with tox
* Sat Oct 26 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.30:
  + python3: use six.moves for httplib imports
* Mon Oct 14 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.29:
  + Fix misused assertTrue in unit tests
  + Fix default value for a header
  + Fix getting header in redirect processing
  + Fix regression bug after removing posixpath in http.py
* Tue Oct  8 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.22:
  + Add CLI for V2 image create, update, and upload
* Thu Sep 26 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.21:
  + Support glance client can get ipv6 image url correctly
* Fri Sep 20 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.19:
  + Use openstack-images-v2.1-json-patch for update method
* Wed Sep 18 2013 dmueller@suse.com
- fix requires
* Tue Sep  3 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.17:
  + Enable query image by tag
* Thu Aug 29 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.16:
  + Fix glanceclient usage inconsistences for options
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.15:
  + Add 0.11.0 doc notes
* Fri Aug 23 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.14:
  + Allow single-wildcard SSL common name matching
  + Don't use posixpath for URLs
* Tue Aug 20 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.10:
  + removed deprecated parameter --public
  + Revert "removed deprecated parameter --public"
* Fri Aug 16 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.7:
  + \Allow removal of properties using glance v2 api
* Tue Aug 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.6:
  + Updated from global requirements
  + Raise warlock requirement
* Sat Aug 10 2013 opensuse-cloud@opensuse.org
- Update to version 0.10.0.2:
  + Add 0.10.0 docs update
  + Revert 02116565d358a4fa254217779fef82b14b38d8ca
  + Cast image_id to string before calling urllib.quote
* Thu Aug  8 2013 opensuse-cloud@opensuse.org
- Update to version 0.9.0.73:
  + Show a pretty progressbar when uploading and downloading an image.
* Tue Jul 16 2013 opensuse-cloud@opensuse.org
- Update to version 0.9.0.49:
  + uncap python-keystoneclient version requirement
* Mon Jul  8 2013 opensuse-cloud@opensuse.org
- Update to version 0.9.0.48:
  + Flake8 should ignore build folder
  + Rename invalid domain name to be RFC compliant.
* Fri Jul  5 2013 opensuse-cloud@opensuse.org
- Update to version 0.9.0.45:
  + Enable client V2 to update/delete tags for a given image.
* Tue Jul  2 2013 opensuse-cloud@opensuse.org
- Update to version 0.9.0.44:
  + Start using Pyflakes and Hacking
* Thu Jun 27 2013 speilicke@suse.com
- Only depend on python-discover on SLE, it's a Python-2.6 feature
  backport
* Wed Jun 12 2013 dmueller@suse.com
- fix requires of test package
* Tue Jun  4 2013 speilicke@suse.com
- tools/pip-requires changed to requirements.txt (pip's de-facto
  standard)
* Wed May 29 2013 dmueller@suse.com
- remove setBadness call from rpmlintrc
* Mon May 27 2013 dmueller@suse.com
- python-pbr/d2to1 requires
* Tue Mar 26 2013 dmueller@suse.com
- update to 0.8.0.13
* Mon Mar 18 2013 speilicke@suse.com
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Wed Mar 13 2013 cloud-devel@suse.de
- Update to version 0.8.0.10+git.1363133652.c7c8e92:
  + Implements filters: visibility, owner, member_status. Includes tests.
* Tue Mar 12 2013 cloud-devel@suse.de
- Update to version 0.8.0.8+git.1363047122.8787c82:
  + Control C does not cancel the CLI cleanly
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to version 0.8.0.6+git.1362996267.d810019:
  + Add missing spaces in help msg
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to version 0.8.0.5+git.1362504227.0ca43be:
  + Replace SchemaNotFound with HTTPNotFound
  + Use getattr properly in legacy shell
* Fri Feb 22 2013 saschpe@suse.de
- Update to version 0.8.0.2+git.1361542435.6c7fb0e:
  + Make effective ssl callback behaviour more obvious
  + Update .coveragerc
  + Expect minumum warlock version of 0.7.0
  + Add library support for v2 image update
  + Update to latest oslo-version.
  + Decode input and encode output
  + Add docs for v0.8.0
  + Report name resolution errors properly
- Add glanceclient-prettytable.patch: Relax version constraints
  on python-prettytable
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Mon Feb 11 2013 cloud-devel@suse.de
- Update to version 0.7.0.13+git.1360595458.60cfebc:
  + Quote image ids before passing them to glance
* Mon Feb  4 2013 dmueller@suse.com
- Update to version 0.7.0.12+git.1359979439.ed67c32:
  + Fix typo in image-update help page
  + Adds image-delete functionality.
  + Change https port to be an optional parameter
  + Migrate to testr.
* Thu Jan 17 2013 vuntz@suse.com
- Use version-regexp param for git_tarballs service to avoid
  uselessly including the last git commit id twice.
* Mon Jan 14 2013 cloud-devel@suse.de
- Update to version 0.7.0.5.ga5f996c+git.1358164233.a5f996c:
  + Add image names to glance command arguments.
  + Use testtools instead of unittest.
  + Add details to stdout error message.
- Build HTML documentation
* Wed Dec 19 2012 saschpe@suse.de
- Fix python-keystoneclient _module_ requirement, our packages
  have a different versioning scheme (but we provide the same thing)
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
- Update to version 0.6.0.14.gc057fe4+git.1355912586.c057fe4:
  + Document v0.7.0 release
  + Support --os-cacert
  + Update --location help to reference swift store.
  + Change default image sort to use name
  + Add --sort-key and --sort-dir to image-list
  + Pin pep8 to 1.3.3
  + Allow setting x-image-meta-store through shell on image creation
  + Verify that host matches certificate
  + Document bugs/features for v0.6.0
  + Hook up region_name argument
  + Simplify human-readable size output
  + Make image sizes more readable for humans
  + Set useful boolean flag metavars
  + Unpin keystoneclient dependency
  + Fixes bug on Windows related to a wrong API url
  + Enhance --checksum help with algorithm
  + added --version as new parameter
- Add " --install-data=%%{python_sitelib}" parameter to "setup.py install"
  to make sure the versioninfo file is installed correctly
* Wed Dec  5 2012 saschpe@suse.de
- Use @PARENT_TAG@ in _service file to automate versioning
* Tue Dec  4 2012 saschpe@suse.de
- Drop glanceclient-setup-no-requires.patch:
  + That makes no sense, http://packages.python.org/distribute/setuptools.html#new-and-changed-setup-keywords
- BuildRequire python-setuptools-git:
  + Better than sed in setup.py, all others have it too
* Tue Dec  4 2012 saschpe@suse.de
- Fix test requires
* Thu Nov 15 2012 saschpe@suse.de
- Use openstack-macros
* Fri Nov  9 2012 saschpe@suse.de
- Downgrade version to new upstream scheme: 0.5.1 (bnc#787387)
* Thu Nov  8 2012 saschpe@suse.de
- Drop from_vcs build flag
* Wed Oct 31 2012 saschpe@suse.de
- Re-add missing openstack-glance.sh
* Fri Oct 12 2012 vuntz@suse.com
- Update to version 2012.2 (Folsom), which is really 0.5.1:
  + See https://github.com/openstack/python-glanceclient/commits/0.5.1
- Install bash completion for 'glance' binary
- Dropped patches merged upstream:
  + honor-insecure-flag-keystone.patch
  + add-handler-for-logger.patch
- Buildrequire python-base instead of python-devel:
  + Sufficient for Python-only modules (containing no C/C++ code)
* Thu Sep 13 2012 vuntz@suse.com
- Add add-handler-for-logger.patch: remove cryptic "No handlers
  could be found for logger" error message. Fix bnc#780048.
* Tue Aug 14 2012 bwiedemann@suse.com
- Do not conflict with openstack-glance
* Thu Aug  2 2012 iartarisi@suse.cz
- Add patch to remove strict dependency checks in setup.py
* Fri Jul 27 2012 saschpe@suse.de
- Add requirement on python-warlock
* Thu Jul 26 2012 saschpe@suse.de
- Honor '--insecure' commandline flag also for keystone authentication
* Thu Jul 26 2012 saschpe@suse.de
- Require python-distribute, /usr/bin/glance needs it
* Mon Jul 23 2012 bwiedemann@suse.com
- Require python-keystoneclient
* Tue Jul 10 2012 saschpe@suse.de
- Add '--insecure' commandline argument to ignore (amongst others)
  self-signed certificate errors
* Tue Jul  3 2012 saschpe@suse.de
- Conflict on openstack-glance, it also ships /usr/bin/glance
* Fri Jun 29 2012 saschpe@suse.de
- Initial version
